%define major 35
%define libname %mklibname %name %major
%define develname %mklibname -d %name
%define fname %name-%{version}
%define gwenmajor 60
%define aqhbcimajor 24
%define aqhbcilibname %mklibname aqhbci %aqhbcimajor
%define ofxmajor 7
%define ofxlibname %mklibname aqofxconnect %ofxmajor
%define cppmajor 0
%define cpplibname %mklibname aqbankingpp %cppmajor
%define ebicsmajor 0
%define ebicslibname %mklibname aqebics %ebicsmajor
%define paypalmajor 0
%define paypallibname %mklibname aqpaypal %paypalmajor

Name: aqbanking
Summary: A library for online banking functions and financial data import/export
Version: 5.7.8
Release: %mkrel 1
Source: %name-%{version}.tar.xz
Patch0: aqbanking-5.5.1-fix-link.patch
Group: System/Libraries
License: GPLv2+
URL: http://www.aquamaniac.de/sites/aqbanking/index.php
BuildRequires: libgmp-devel
BuildRequires: libgnutls-devel
BuildRequires: libgwenhywfar-devel
BuildRequires: libktoblzcheck-devel
BuildRequires: libxml2-devel
BuildRequires: libxmlsec1-devel
BuildRequires: libxslt-devel

Obsoletes: aqbanking
Obsoletes: aqbanking-ofx
Obsoletes: aqhbci

%description
The intention of AqBanking is to provide a middle layer between the
program and the various Online Banking libraries (e.g. AqHBCI). The
first backend which is already supported is AqHBCI, a library which
implements a client for the German HBCI (Home Banking Computer
Interface) protocol. Additionally, Aqbanking provides various plugins
to simplify import and export of financial data. Currently there are
import plugins for the following formats: DTAUS (German financial
format), SWIFT (MT940 and MT942).


%package -n %libname
Summary: A library for online banking functions and financial data import/export
Group: System/Libraries
Requires: %name >= %version
Obsoletes: libaqbanking33
Obsoletes: libaqbankingpp0
Obsoletes: libaqhbci20
Obsoletes: libaqofxconnect7

%description -n %libname
The intention of AqBanking is to provide a middle layer between the
program and the various Online Banking libraries (e.g. AqHBCI). The
first backend which is already supported is AqHBCI, a library which
implements a client for the German HBCI (Home Banking Computer
Interface) protocol. Additionally, Aqbanking provides various plugins
to simplify import and export of financial data. Currently there are
import plugins for the following formats: DTAUS (German financial
format), SWIFT (MT940 and MT942).

%package -n %develname
Summary: Aqbanking development kit
Group: Development/Libraries
Requires: %{libname} = %{version}
Provides: lib%name-devel = %{version}-%{release}
Provides: %name-devel = %{version}-%{release}
Provides: aqhbci-devel = %version-%release
Provides: libaqhbci-devel = %version-%release

%description -n %develname
This package contains aqbanking-config and header files for writing and
compiling programs using Aqbanking.

%prep
%setup
%patch0 -p0

%build

# upstream was still using automake1.14
autoreconf -vfi

%configure2_5x --disable-static
%make

%install
%makeinstall_std
find %buildroot%_libdir -name '*.la' -delete

%find_lang %name
mv %buildroot%_datadir/doc/%name installed-docs
mv %buildroot%_datadir/doc/aqhbci/* installed-docs


%files -f %name.lang
%doc installed-docs
%doc src/plugins/backends/aqhbci/tools/aqhbci-tool/README
%doc %{_docdir}/aqebics
%doc %{_docdir}/aqpaypal/aqpaypal-tool/README

%{_bindir}/aqbanking-cli
%{_bindir}/aqhbci-tool4
%{_bindir}/hbcixml3
%{_bindir}/aqebics-tool
%{_bindir}/aqpaypal-tool

%{_datadir}/%{name}


%files -n %libname
%{_libdir}/libaqbanking.so.%{major}*
%{_libdir}/libaqnone.so.%{major}*
%{_libdir}/libaqebics.so.%{ebicsmajor}*
%{_libdir}/libaqbankingpp.so.%{cppmajor}*
%{_libdir}/libaqofxconnect.so.%{ofxmajor}*
%{_libdir}/libaqbankingpp.so.%{cppmajor}*
%{_libdir}/libaqhbci.so.%{aqhbcimajor}*
%{_libdir}/libaqpaypal.so.%{paypalmajor}*

%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%dir %{_libdir}/%{name}/plugins/%major/
%dir %{_libdir}/%{name}/plugins/%major/providers/
%dir %{_libdir}/%{name}/plugins/%major/imexporters/

%{_libdir}/%{name}/plugins/%major/dbio
%{_libdir}/%{name}/plugins/%major/bankinfo/
%{_libdir}/%{name}/plugins/%major/imexporters/csv*
%{_libdir}/%{name}/plugins/%major/imexporters/ctxfile*
%{_libdir}/%{name}/plugins/%major/imexporters/dtaus*
%{_libdir}/%{name}/plugins/%major/imexporters/eri*
%{_libdir}/%{name}/plugins/%major/imexporters/openhbci*
%{_libdir}/%{name}/plugins/%major/imexporters/q43.*
%{_libdir}/%{name}/plugins/%major/imexporters/sepa*
%{_libdir}/%{name}/plugins/%major/imexporters/swift*
%{_libdir}/%{name}/plugins/%major/imexporters/xmldb*
%{_libdir}/%{name}/plugins/%major/imexporters/yellownet*
%{_libdir}/%{name}/plugins/%major/imexporters/ofx.*
%{_libdir}/%{name}/plugins/%major/providers/aqnone*
%{_libdir}/%{name}/plugins/%major/providers/aqebics.*
%{_libdir}/%{name}/plugins/%major/providers/aqofxconnect*
%{_libdir}/%{name}/plugins/%major/providers/aqpaypal.*
%{_libdir}/%{name}/plugins/%major/providers/aqhbci*

%files -n %develname
%{_bindir}/aqbanking-config
%{_includedir}/aqbanking5
%{_includedir}/aqebics
%{_includedir}/aqpaypal

%{_libdir}/cmake/aqbanking-5.*
%{_libdir}/libaqbankingpp.so
%{_libdir}/libaqbanking.so
%{_libdir}/libaqnone.so
%{_libdir}/libaqhbci.so
%{_libdir}/libaqofxconnect.so
%{_libdir}/libaqebics.so
%{_libdir}/libaqpaypal.so

%{_datadir}/aclocal/aqbanking.m4
%{_libdir}/pkgconfig/aqbanking.pc


%changelog
* Tue Oct 02 2018 adrianomorselli <adrianomorselli> 5.5.12-1uplos2018
- new version for kmymoney 5.0
